import re
from setuptools import setup

with open('concordia_class_search/__init__.py') as f:
    version = re.search(r'__version__ = \'(\d+\.\d+\.\d+)\'', f.read()).group(1)

setup(
    name='concordia-class-search',
    version=version,
    description='Concordia Class Search Python module and command line tool',
    long_description=open('README.rst').read(),
    author='Francis Bergin',
    author_email='bergin.francis@gmail.com',
    url='https://github.com/francisbergin/concordia-class-search',
    license='MIT',
    packages=['concordia_class_search'],
    install_requires=[
        'beautifulsoup4==4.5.3',
        'requests==2.13.0',
        'tabulate==0.7.7',
    ],
    extras_require={
        'dev': [
            'coverage==4.3.4',
            'nose==1.3.7',
            'nose-timer==0.7.0',
            'twine==1.8.1',
            'vcrpy==1.11.0',
            'wheel==0.29.0',
        ]
    },
    entry_points={
        'console_scripts': [
            'ccs = concordia_class_search.__main__:main'
        ]
    },
)
